package com.zhilian.common.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zhilian.common.core.annotation.Excel;
import com.zhilian.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.List;
/**
  * @ClassName Markers
  * @Description 车辆标识实体类
  * @Author ZeJinG.Su
  * @Date  15:29 2024/4/8
 */
@Data
@ToString
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName("business_markers")
public class Markers extends BaseEntity {

    /**
     * 车辆标识编号
     */
    @TableId(value = "markers_id", type = IdType.AUTO)
    private Long markersId;

    /**
     * 车辆标识名称
     */
    @TableField("markers_name")
    private String markersName;


    @TableField(exist = false)
    List<Long> fenceIds;

}
